#
# Conditional build:
%bcond_without	static_libs	# static libraries
#
Summary:	Generate GdkPixbufs for XPM data
Name:		xpm-pixbuf
%define	gitref	d290a0c846687b22d2a8c5aaec83a6689f30e1c3
%define	snap	20250311
Version:	0.%{snap}
Release:	1
License:	LGPL
Group:		Libraries
Source0:	https://gitlab.gnome.org/ZanderBrown/xpm-pixbuf/-/archive/%{gitref}/%{name}-%{version}.tar.bz2
# Source0-md5:	e04a15dcd080a1dbb12274f6140dbe10
URL:		https://gitlab.gnome.org/ZanderBrown/xpm-pixbuf
BuildRequires:	meson
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generate GdkPixbufs for XPM data.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%prep
%setup -q -n %{name}-%{gitref}

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxpm-pixbuf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxpm-pixbuf.so
%{_includedir}/xpm-pixbuf.h
%{_pkgconfigdir}/%{name}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxpm-pixbuf.a
%endif
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xpm-pixbuf.git;a=log;h=master

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> 4af1962
- new

